<?php
session_start( );

if( !isset( $_GET['p'] ) || $_GET['p'] == '' )
  $_GET['p']  = 'productsList';

extract( $_GET );

include("./libraries/jcode.php");
require 'config/general.php';
require DIR_LANG.LANGUAGE.'.php';
require DIR_LIBRARIES.'TplParser.php';
require DIR_LIBRARIES.'FileJobs.php';
require DIR_LIBRARIES.'FotoJobs.php';
require DIR_LIBRARIES.'FlatFiles.php';
require DIR_LIBRARIES.'Trash.php';

/*
* Add-ons functions 
*/
if( filesize( DIR_PLUGINS.'plugins.php' ) > 30 )
  include DIR_PLUGINS.'plugins.php';

include DIR_CORE.'other.php';
include DIR_CORE.'preferences.php';

include DIR_PLUGINS.'htmleditor/htmleditor.php';

$tpl    = new TplParser;
$oFoto  = new FotoJobs;
$oFF    = new FlatFiles;

$tpl->setDir( TPL.'admin/' );
$oFoto->setRatio( $config['foto_jobs_ratio'] );

##############
## logowanie #
##############
loginActions( $p, 'iUserQC' );

$content = null;

/*
* Add-ons actions
*/
if( filesize( DIR_PLUGINS.'actions_admin.php' ) > 30 )
  include DIR_PLUGINS.'actions_admin.php';

if( isset( $_GET['sWord'] ) )
  $_GET['sWord'] = JcodeConvert(changeSpecialChars( $_GET['sWord'] ),0,1);      //for japanese

getAction( $p, 'actions_admin/' );  

if( is_file( $sActionFile ) )
  include $sActionFile;

if( ereg( 'Window', $p ) ){
  echo $tpl->tHtml( 'head_print.tpl' ).$content.$tpl->tHtml('footer_print.tpl');
}
else{
  echo $tpl->tHtml( 'head.tpl' ).$content.$tpl->tHtml('footer.tpl');  
}
?>
